# Class FileStoreEditorInputFactory

java.lang.Object
org.eclipse.ui.ide.FileStoreEditorInputFactory

All Implemented Interfaces:
  `IElementFactory`

public class FileStoreEditorInputFactory extends Object implements IElementFactory
Factory for saving and restoring a `FileStoreEditorInput`. The stored representation of a `FileStoreEditorInput` remembers the path of the editor input.

The workbench will automatically create instances of this class as required. It is not intended to be instantiated or subclassed by the client.

Since:
  3.3

## Constructor Summary

Constructors
Constructor
Description
`FileStoreEditorInputFactory()`

## Method Summary

Modifier and Type
Method
Description
`IAdaptable`
`createElement(IMemento memento)`
Re-creates and returns an object from the state captured within the given memento.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FileStoreEditorInputFactory

public FileStoreEditorInputFactory()

## Method Details

### createElement

public IAdaptable createElement(IMemento memento)
Description copied from interface: `IElementFactory`
Re-creates and returns an object from the state captured within the given memento.

If the result is not null, it should be persistable; that is,

    result.getAdapter(org.eclipse.ui.IPersistableElement.class)

should not return `null`.

Specified by:
  `createElement` in interface `IElementFactory`
Parameters:
  `memento` - a memento containing the state for the object
Returns:
  an object, or `null` if the element could not be created